Redmine - Defect #27543

Key/value-pair custom field type not available to all customisable contents
2017-11-16 11:53 - Felix Schafer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed Affected version:

Description

The key/value-pair custom field type is currently limited to the same customisable contents as User and Version custom fields. For
the key/value-pair custom field type this limitation is not necessary as the key/value-pairs are not project dependant.

The following patch removes the limitation inherited from the RecordList in the EnumerationFormat.

-—— a/lib/redmine/field_format.rb

+++ b/lib/redmine/field_format.rb

@@ -723,6 +723,8 @@ module Redmine
end

class EnumerationFormat < RecordList
+ self.customized_class_names = nil

add 'enumeration'
self.form_partial = 'custom_fields/formats/enumeration'

Another possibility would be to move the limitation from the parent class RecordList to the child classes that need it (UserFormat,
VersionFormat), but that would mean that other existing subclasses (e.g. from plugins) would need to be updated if they rely on this
limitation.

Associated revisions

Revision 22834 - 2024-05-16 10:38 - Go MAEDA

Key/value-pair custom field type not available to all customizable contents (#27543).

Patch by Felix Schafer (@felix) and Takenori TAKAKI (@takenory).

History

#1 - 2017-11-26 10:51 - Go MAEDA
- Category set to Custom fields

- Target version set to Candidate for next major release

#2 - 2024-02-05 05:24 - Takenori TAKAKI
- File 27543-remove-inherited-limitation-with-test.patch added

+1
| agree with Felix Schéfer Improvement.
| attach a patch with additional tests.

#3 - 2024-02-09 08:27 - Takenori TAKAKI
- File 27543-remove-inherited-limitation-with-test-2.patch added

| attach a patch that adds tests to ensure the functionality introduced in note-2 operates as expected.

#4 - 2024-02-13 01:40 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0
https://www.redmine.org/users/3866

Setting the target version to 6.0.0.

#5 - 2024-05-16 10:38 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22834. Thank you.

Files

27543-remove-inherited-limitation-with-test.patch 1.05 KB 2024-02-05 Takenori TAKAKI

27543-remove-inherited-limitation-with-test-2.patch 1.95 KB 2024-02-09 Takenori TAKAKI
